<section id="gallery">
  <div class="container">
    <div class="row">
    <div class="col-lg-12 mb-4">
    <div class="card">
      <div class="card-body">
        <h5 class="card-subtitle float-right text-success" [ngClass] ="{'text-danger': offer.offer_status === 'inactive'}">{{offer.offer_status}}</h5>
        <h5 class="card-title">{{offer.title}}</h5>
        <h6 class="card-subtitle mb-2 text-muted" *ngIf="userPopulated" >{{publisher.firstName + ' ' + publisher.lastName}}</h6>
        <p class="card-text">{{offer.content}}</p>
        <button type="button" class="btn btn-outline-success ml-2" (click) = 'viewMore()'> More </button>
        <button type="button" class="btn btn-outline-danger float-right"
                id="hearthIcon"
                *ngIf="loggedUser.role === 'Regular'"
                (click)="clickLikeEvent()"
                [ngClass] ="likeClasses">
          <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-heart-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
           <path fill-rule="evenodd" d="M8 1.314C12.438-3.248 23.534 4.735 8 15-7.534 4.736 3.562-3.248 8 1.314z"></path>
          </svg>
        </button>
        <button type="button"
                class="btn btn-outline-primary float-right"
                (click)="onUpdateClick()"
                *ngIf="userPopulated && loggedUser.id === publisher.id"> Update offer </button>
      </div>
     </div>
    </div>
  </div>
  </div>
</section>
